package afd.namesandnumbers;

import android.os.Parcel;
import android.os.Parcelable;

public class ResultItem implements Parcelable{
	String listValue = "";
	String recordKey = "";
	
	public ResultItem(){
	}
	
	public ResultItem(Parcel in){
		listValue = in.readString();
		recordKey = in.readString();
	}
	
	public void setListValue(String value){
		this.listValue = value;
	}
	
	public String getListValue(){
		return this.listValue;
	}
	
	public void setRecordKey(String value){
		this.recordKey = value;
	}
	
	public String getRecordKey(){
		return this.recordKey;
	}

	@Override
	public int describeContents() {
		return 0;
	}

	@Override
	public void writeToParcel(Parcel dest, int flags) {
		dest.writeString(listValue);
		dest.writeString(recordKey);
		
	}
	
	public static final Parcelable.Creator CREATOR = new Parcelable.Creator() { 
		public ResultItem createFromParcel(Parcel in) { 
			return new ResultItem(in); 
		}   
		
		public ResultItem[] newArray(int size) { 
			return new ResultItem[size]; 
		} 
	};
}
