package afd.namesandnumbers;

import java.util.ArrayList;
import java.util.List;
import android.os.Parcel;
import android.os.Parcelable;


public class ResultsCollection implements Parcelable{
	
	List<ResultItem> results = new ArrayList<ResultItem>();
	
	public ResultsCollection() {
	}
	
	public ResultsCollection(Parcel in){
		in.readTypedList(results, ResultItem.CREATOR);
	}
	
	public void add(ResultItem value){
		results.add(value);
	}
	
	public int size(){
		return results.size();
	}
	
	public List<ResultItem> getList(){
		return results;
	}

	@Override
	public int describeContents() {
		return 0;
	}

	@Override
	public void writeToParcel(Parcel dest, int flags) {
		dest.writeTypedList(results);
	}
	
	public static final Parcelable.Creator CREATOR = new Parcelable.Creator() { 
		public ResultsCollection createFromParcel(Parcel in) { 
			return new ResultsCollection(in); 
		}   
		
		public ResultsCollection[] newArray(int size) { 
			return new ResultsCollection[size]; 
		} 
	};
}
