package afd.namesandnumbers;

import android.os.Bundle;
import android.view.Menu;
import android.view.View;
import android.widget.EditText;

public class SearchForm extends SharedAfdActivity{
	
	EditText organisationText;
	EditText surnameText;
	EditText propertyText;
	EditText streetText;
	EditText localityText;
	EditText townText;
	EditText countyText;
	EditText postcodeFromText;
	EditText postcodeToText;

	 @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_search_form);
        
        organisationText = (EditText)findViewById(R.id.organisationSearch);
        surnameText = (EditText)findViewById(R.id.surnameSearch);
    	propertyText = (EditText)findViewById(R.id.propertySearch);
    	streetText = (EditText)findViewById(R.id.streetSearch);
    	localityText = (EditText)findViewById(R.id.localitySearch);
    	townText = (EditText)findViewById(R.id.townSearch);
    	countyText = (EditText)findViewById(R.id.countySearch);
    	postcodeFromText = (EditText)findViewById(R.id.postcodeFromSearch);
    	postcodeToText = (EditText)findViewById(R.id.postcodeToSearch);
	}

	@Override
	public boolean onCreateOptionsMenu(Menu menu) {
		super.onCreateOptionsMenu(menu);
		menu.findItem(R.id.search_menu_item).setEnabled(false);
		return true;
	}

	public void doSearch(View view){
		 new SearchAsyncTask(SearchForm.this).execute();
	}
}
